/**
 * InternalDataModels.ts
 * @author Abhilash Panwar (abpanwar)
 * @copyright Microsoft 2020
 * File containing internal datamodels for the SDK.
 */
/**
 * Result of parsing the element for its content. <Internal>
 */
export interface IContent {
    /**
     * Class.
     */
    c?: string;
    /**
     * Element id
     */
    id?: string;
    /**
     * Name.
     */
    n?: string;
}
export interface IScreenResolution {
    h?: number;
    w?: number;
    cd?: number;
    vH?: number;
    vW?: number;
    sR?: string;
}
