import { __extends } from "tslib";
import { TestClass } from '../TestClass';
import { _hashCode } from '../../src/analytics/AnalyticsHelper';
var AnalyticsHelperTest = /** @class */ (function (_super) {
    __extends(AnalyticsHelperTest, _super);
    function AnalyticsHelperTest() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    AnalyticsHelperTest.prototype.registerTests = function () {
        this.testCase({
            name: 'Verify hashCode returns same hash for same value',
            test: function () {
                var result1 = _hashCode('foobar');
                var result2 = _hashCode('foobar');
                QUnit.assert.equal(result1, result2);
            }
        });
    };
    return AnalyticsHelperTest;
}(TestClass));
export { AnalyticsHelperTest };
//# sourceMappingURL=AnalyticsHelperTest.js.map