export declare class _Extensions {
    static _SignalExt: string;
    static _SignalLongExt: string;
}
export declare class _SignalExtKeys {
    static _View: string;
    static _Referrer: string;
    static _Action: string;
    static _Click: string;
    static _Session: string;
    static _User: string;
    static _Host: string;
    static _Sdk: string;
    static _ExtKey: string;
}
export declare class _SharedKeys {
    static _Type: string;
    static _Uri: string;
    static _NameKey: string;
    static _Domain: string;
    static _Version: string;
    static _Title: string;
    static _Class: string;
    static _TimeZone: string;
    static _Source: string;
    static _Id: string;
}
export declare class _UserExtKeys {
    static _LocalId: string;
    static _AuthId: string;
    static _AuthType: string;
    static _Email: string;
    static _State: string;
    static _TimeSinceVisit: string;
}
export declare class _ReferrerExtKeys {
    static _PageTitle: string;
}
export declare class _ViewExtKeys {
    static _Height: string;
    static _Width: string;
    static _VpHeight: string;
    static _VpWidth: string;
    static _ColorDepth: string;
    static _PreviousViews: string;
    static _SResolution: string;
}
export declare class _ActionExtKeys {
    static _ElapsedTime: string;
    static _IsOutbound: string;
    static _Target: string;
    static _ElementId: string;
}
export declare class _ClickExtKeys {
    static _Coordinates: string;
}
export declare class _SessionExtKeys {
    static _Id: string;
    static _Duration: string;
}
export declare class _UserStateValues {
    static _New: string;
    static _Returning: string;
}
export declare const _ViewEventName = "view";
export declare const _ViewSchemaVersion = "0.0";
export declare const _ActionEventName = "action";
export declare const _ActionSchemaVersion = "0.0";
export declare const _SDKVersion = "EI-JS-0.0.17";
export declare const _emptyString = "";
export declare const _PageViewType = "page";
export declare const _EIPreviousKey = "EISession.Previous";
export declare const _EISessionKey = "EISession.Id";
export declare const _MSEI = "_msei";
export declare const _UserMappingEventName = "usermapping";
export declare const _UserMappingEventVersion = "0.0";
export declare const _UserMappingStorageKey = "EIMappings";
export declare const _DayToMilliseconds: number;
