import { StorageManagerTest } from './properties/StorageManagerTest';
import { SessionManagerTest } from './properties/SessionManagerTest';
import { PropertiesTest } from './properties/PropertiesTest';
import { AutocollectorTest } from './analytics/AutocollectorTest';
import { AnalyticsTest } from './AnalyticsTest';
export function registerTests() {
    new StorageManagerTest('StorageManagerTest').registerTests();
    new SessionManagerTest('SessionManagerTest').registerTests();
    new PropertiesTest('PropertiesTest').registerTests();
    new AutocollectorTest('AutocollectorTest').registerTests();
    new AnalyticsTest('AnalyticsTest').registerTests();
}
registerTests();
//# sourceMappingURL=Index.js.map